Journey Flows
Manage saved Journey Flow configurations, preview journeys, retrieve computed results, and export CSV reports through the REST API.
Journey Flows describe observed visitor paths between configured anchors. This reference covers saved configurations, supported capabilities, previews, computed results, and CSV exports.
GET/rest/v1/journey-flows
Authorization
apiKey Ours Privacy API key
In: header
Query Parameters
Maximum number of items to return. Defaults to 25; values below 1 are clamped to 1 and values above 100 are clamped to 100.
Opaque pagination cursor from pagination.nextCursor in the previous response. Do not decode or modify it. Malformed cursors return 400 Bad Request.
length <= 200Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/rest/v1/journey-flows"{ "entities": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revision": "b587a570-d9a5-40c2-87da-edba28b3005f", "name": "string", "description": "string", "definition": { "version": 1, "kind": "journey-flow", "counting": "unique", "reentry": "first", "anchors": [ { "id": "string", "label": "string", "alternatives": [ { "kind": "event", "eventName": "string", "filter": { "version": 1, "filter": { "kind": "and", "children": [ { "kind": "and", "children": [] } ] } } } ], "filter": { "version": 1, "filter": { "kind": "and", "children": [ { "kind": "and", "children": [] } ] } } } ], "conversionWindowMs": 2592000000, "contextWindowMs": 2592000000, "scope": { "sourceIds": [ "string" ], "excludeBots": true, "sessionFilter": { "version": 1, "filter": { "kind": "and", "children": [ { "kind": "and", "children": [] } ] } } }, "entryFilter": { "version": 1, "filter": { "kind": "and", "children": [ { "kind": "and", "children": [] } ] } }, "anchorFilter": { "version": 1, "filter": { "kind": "and", "children": [ { "kind": "and", "children": [] } ] } }, "exploration": { "before": 0, "after": 3, "between": [], "stepKinds": [ "event", "page" ], "pageKey": "path", "pathFilter": { "version": 1, "filter": { "kind": "and", "children": [ { "kind": "and", "children": [] } ] } }, "hiddenEvents": [], "collapseRepeats": false, "focus": [] }, "exclusions": [], "holdConstant": [], "breakdown": { "property": { "property": "string", "path": [ "string" ], "type": "string" }, "atAnchorId": "string", "limit": 10 }, "nodeExpansions": [] }, "reportContext": { "dateRange": { "from": "string", "to": "string", "timeZone": "string" }, "comparisons": [] }, "view": { "visualization": "sankey", "topEventsPerPosition": 3, "topPaths": 50, "showDropOff": false, "showElapsedTime": false }, "createdAt": "string", "updatedAt": "string", "createdByUserId": "string", "updatedByUserId": "string" } ], "pagination": { "nextCursor": "string", "hasMore": true }, "unavailableCount": 0, "warnings": [ { "code": "string", "message": "string", "path": [ "string" ] } ]}POST/rest/v1/journey-flows
Authorization
apiKey Ours Privacy API key
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/rest/v1/journey-flows" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "definition": { "version": 1, "kind": "journey-flow", "anchors": [ { "id": "string", "alternatives": [ { "kind": "event", "eventName": "string" } ] } ], "scope": { "sourceIds": [ "string" ], "excludeBots": true }, "exploration": {} }, "reportContext": { "dateRange": { "from": "string", "to": "string", "timeZone": "string" } }, "view": {} }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revision": "b587a570-d9a5-40c2-87da-edba28b3005f", "name": "string", "description": "string", "definition": { "version": 1, "kind": "journey-flow", "counting": "unique", "reentry": "first", "anchors": [ { "id": "string", "label": "string", "alternatives": [ { "kind": "event", "eventName": "string", "filter": { "version": 1, "filter": { "kind": "and", "children": [ { "kind": "and", "children": [] } ] } } } ], "filter": { "version": 1, "filter": { "kind": "and", "children": [ { "kind": "and", "children": [] } ] } } } ], "conversionWindowMs": 2592000000, "contextWindowMs": 2592000000, "scope": { "sourceIds": [ "string" ], "excludeBots": true, "sessionFilter": { "version": 1, "filter": { "kind": "and", "children": [ { "kind": "and", "children": [] } ] } } }, "entryFilter": { "version": 1, "filter": { "kind": "and", "children": [ { "kind": "and", "children": [] } ] } }, "anchorFilter": { "version": 1, "filter": { "kind": "and", "children": [ { "kind": "and", "children": [] } ] } }, "exploration": { "before": 0, "after": 3, "between": [], "stepKinds": [ "event", "page" ], "pageKey": "path", "pathFilter": { "version": 1, "filter": { "kind": "and", "children": [ { "kind": "and", "children": [] } ] } }, "hiddenEvents": [], "collapseRepeats": false, "focus": [] }, "exclusions": [], "holdConstant": [], "breakdown": { "property": { "property": "string", "path": [ "string" ], "type": "string" }, "atAnchorId": "string", "limit": 10 }, "nodeExpansions": [] }, "reportContext": { "dateRange": { "from": "string", "to": "string", "timeZone": "string" }, "comparisons": [] }, "view": { "visualization": "sankey", "topEventsPerPosition": 3, "topPaths": 50, "showDropOff": false, "showElapsedTime": false }, "createdAt": "string", "updatedAt": "string", "createdByUserId": "string", "updatedByUserId": "string"}GET/rest/v1/journey-flows/{id}
Authorization
apiKey Ours Privacy API key
In: header
Path Parameters
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/rest/v1/journey-flows/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revision": "b587a570-d9a5-40c2-87da-edba28b3005f", "name": "string", "description": "string", "definition": { "version": 1, "kind": "journey-flow", "counting": "unique", "reentry": "first", "anchors": [ { "id": "string", "label": "string", "alternatives": [ { "kind": "event", "eventName": "string", "filter": { "version": 1, "filter": { "kind": "and", "children": [ { "kind": "and", "children": [] } ] } } } ], "filter": { "version": 1, "filter": { "kind": "and", "children": [ { "kind": "and", "children": [] } ] } } } ], "conversionWindowMs": 2592000000, "contextWindowMs": 2592000000, "scope": { "sourceIds": [ "string" ], "excludeBots": true, "sessionFilter": { "version": 1, "filter": { "kind": "and", "children": [ { "kind": "and", "children": [] } ] } } }, "entryFilter": { "version": 1, "filter": { "kind": "and", "children": [ { "kind": "and", "children": [] } ] } }, "anchorFilter": { "version": 1, "filter": { "kind": "and", "children": [ { "kind": "and", "children": [] } ] } }, "exploration": { "before": 0, "after": 3, "between": [], "stepKinds": [ "event", "page" ], "pageKey": "path", "pathFilter": { "version": 1, "filter": { "kind": "and", "children": [ { "kind": "and", "children": [] } ] } }, "hiddenEvents": [], "collapseRepeats": false, "focus": [] }, "exclusions": [], "holdConstant": [], "breakdown": { "property": { "property": "string", "path": [ "string" ], "type": "string" }, "atAnchorId": "string", "limit": 10 }, "nodeExpansions": [] }, "reportContext": { "dateRange": { "from": "string", "to": "string", "timeZone": "string" }, "comparisons": [] }, "view": { "visualization": "sankey", "topEventsPerPosition": 3, "topPaths": 50, "showDropOff": false, "showElapsedTime": false }, "createdAt": "string", "updatedAt": "string", "createdByUserId": "string", "updatedByUserId": "string"}PATCH/rest/v1/journey-flows/{id}
Authorization
apiKey Ours Privacy API key
In: header
Path Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/rest/v1/journey-flows/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "expectedRevision": "01b5419f-7ce1-4016-a16c-802ea2b68a5e" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revision": "b587a570-d9a5-40c2-87da-edba28b3005f", "name": "string", "description": "string", "definition": { "version": 1, "kind": "journey-flow", "counting": "unique", "reentry": "first", "anchors": [ { "id": "string", "label": "string", "alternatives": [ { "kind": "event", "eventName": "string", "filter": { "version": 1, "filter": { "kind": "and", "children": [ { "kind": "and", "children": [] } ] } } } ], "filter": { "version": 1, "filter": { "kind": "and", "children": [ { "kind": "and", "children": [] } ] } } } ], "conversionWindowMs": 2592000000, "contextWindowMs": 2592000000, "scope": { "sourceIds": [ "string" ], "excludeBots": true, "sessionFilter": { "version": 1, "filter": { "kind": "and", "children": [ { "kind": "and", "children": [] } ] } } }, "entryFilter": { "version": 1, "filter": { "kind": "and", "children": [ { "kind": "and", "children": [] } ] } }, "anchorFilter": { "version": 1, "filter": { "kind": "and", "children": [ { "kind": "and", "children": [] } ] } }, "exploration": { "before": 0, "after": 3, "between": [], "stepKinds": [ "event", "page" ], "pageKey": "path", "pathFilter": { "version": 1, "filter": { "kind": "and", "children": [ { "kind": "and", "children": [] } ] } }, "hiddenEvents": [], "collapseRepeats": false, "focus": [] }, "exclusions": [], "holdConstant": [], "breakdown": { "property": { "property": "string", "path": [ "string" ], "type": "string" }, "atAnchorId": "string", "limit": 10 }, "nodeExpansions": [] }, "reportContext": { "dateRange": { "from": "string", "to": "string", "timeZone": "string" }, "comparisons": [] }, "view": { "visualization": "sankey", "topEventsPerPosition": 3, "topPaths": 50, "showDropOff": false, "showElapsedTime": false }, "createdAt": "string", "updatedAt": "string", "createdByUserId": "string", "updatedByUserId": "string"}DELETE/rest/v1/journey-flows/{id}
Authorization
apiKey Ours Privacy API key
In: header
Path Parameters
uuidQuery Parameters
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/rest/v1/journey-flows/497f6eca-6276-4993-bfeb-53cbbbba6f08?expectedRevision=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "deleted": true, "deletedRevision": "string"}GET/rest/v1/journey-flows/capabilities
Authorization
apiKey Ours Privacy API key
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/rest/v1/journey-flows/capabilities"{ "definitionVersion": 0, "supportedCounting": [ "UNIQUE" ], "supportedReentry": [ "FIRST" ], "totalsReentry": "FIRST", "supportedVisualizations": [ "SANKEY" ], "supportedMatcherKinds": [ "EVENT" ], "supportedStepKinds": [ "EVENT" ], "supportedProviders": [ "string" ], "maxAnchors": 0, "maxAlternativesPerAnchor": 0, "maxWindowMs": 0, "maxPositions": 0, "maxHiddenMatchers": 0, "maxExclusions": 0, "maxHeldProperties": 0, "maxNodeExpansions": 0, "maxComparisons": 0, "maxBuckets": 0, "maxTopPaths": 0, "maxTopEventsPerPosition": 0, "supportsBreakdowns": true, "supportsComparisons": true, "supportsExclusions": true, "supportsNodeExpansions": true, "supportsPropertyHolds": true, "supportsFocus": true, "supportsOutcomeFocus": true, "supportsTwoSidedGaps": true, "supportsHiddenEvents": true, "supportsCollapseRepeats": true, "supportsDropOff": true, "supportsElapsedTime": true, "supportsReplaySamples": true, "supportsCsvExport": true, "sampleLimitPerOutcome": 0, "supportsNonUtcTimeZones": true, "supportsSampling": true}GET/rest/v1/journey-flows/preview
Authorization
apiKey Ours Privacy API key
In: header
Query Parameters
JSON-encoded Journey Flow preview input. Use GraphQL when this exceeds the URL budget.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/rest/v1/journey-flows/preview?input=string"{ "definitionRevision": "a97ae3af-593d-4d6d-ab05-42e6f4317882", "definitionHash": "string", "semanticVersion": "string", "engine": "string", "effectiveContext": { "dateRange": { "from": "string", "to": "string", "timeZone": "string" }, "comparisons": [ { "id": "string", "label": "string", "dateRange": {}, "entryFilter": {}, "sessionFilter": {} } ], "sourceIds": [ "string" ], "excludeBots": true, "counting": "UNIQUE", "reentry": "FIRST", "conversionWindowMs": 0, "contextWindowMs": 0 }, "observation": { "entryFrom": "string", "entryTo": "string", "observationFrom": "string", "observationTo": "string", "watermark": "string", "retentionBoundary": "string", "complete": true, "status": "COMPLETE" }, "series": [ { "id": "string", "label": "string", "segments": [ { "id": "string", "label": "string", "entryCount": "string", "unfocusedEntryCount": "string", "completedCount": "string", "timedOutCount": "string", "excludedCount": "string", "observationIncompleteCount": "string", "columns": [ { "kind": "ANCHOR", "position": { "key": "string", "column": 0, "anchorId": "string", "side": "anchor", "offset": 0 }, "label": "string", "total": "string" } ], "nodes": [ { "id": "string", "key": "string", "position": { "key": "string", "column": 0, "anchorId": "string", "side": "anchor", "offset": 0 }, "kind": "ANCHOR", "anchorId": "string", "matcher": {}, "terminal": "COMPLETED", "source": "string", "value": "string", "count": "string", "denominator": "string", "shareOfEntries": { "numerator": "string", "denominator": "string", "value": 0 }, "shareOfPrevious": {}, "shareOfNext": {} } ], "edges": [ { "id": "string", "sourceNodeId": "string", "targetNodeId": "string", "count": "string", "denominator": "string", "shareOfPrevious": { "numerator": "string", "denominator": "string", "value": 0 }, "shareOfNext": {} } ], "topPaths": [ { "id": "string", "steps": [ { "position": { "key": "string", "column": 0, "anchorId": "string", "side": "anchor", "offset": 0 }, "kind": "ANCHOR", "anchorId": "string", "matcher": {}, "terminal": "COMPLETED", "source": "string", "value": "string" } ], "weight": "string", "denominator": "string", "shareOfEntries": { "numerator": "string", "denominator": "string", "value": 0 }, "completedCount": "string", "incompleteCount": "string" } ], "totalPathCount": "string", "returnedPathWeight": "string", "omittedPathWeight": "string" } ] } ], "timing": [ { "kind": "EDGE", "sourceNodeId": "string", "targetNodeId": "string", "fromPosition": "string", "toPosition": "string", "direction": "FORWARD", "count": "string", "minimumMs": 0, "medianMs": 0, "averageMs": 0, "maximumMs": 0 } ], "samples": { "limitPerOutcome": 1, "entries": [ { "visitorId": "string", "sessionId": "string", "entryAt": "string", "lastAnchorAt": "string", "sessionStartDate": "2019-08-24", "reachedAnchors": 1, "outcome": "COMPLETED" } ] }, "limits": { "topEventsPerPosition": 0, "topPaths": 0, "omittedNodeCount": "string", "omittedNodeWeight": "string", "omittedPathCount": "string", "omittedPathWeight": "string", "executionLimitStatus": "string" }, "execution": { "queryId": "10210520-b895-40ca-bce5-474f9643bf53", "generatedAt": "string", "cacheHit": true, "cacheAgeMs": 0, "sampled": true, "warnings": [ { "code": "string", "message": "string", "path": [ "string" ] } ] }}GET/rest/v1/journey-flows/{id}/result
Authorization
apiKey Ours Privacy API key
In: header
Path Parameters
uuidQuery Parameters
uuidOptional JSON-encoded complete report context override.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/rest/v1/journey-flows/497f6eca-6276-4993-bfeb-53cbbbba6f08/result?expectedRevision=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "definitionRevision": "a97ae3af-593d-4d6d-ab05-42e6f4317882", "definitionHash": "string", "semanticVersion": "string", "engine": "string", "effectiveContext": { "dateRange": { "from": "string", "to": "string", "timeZone": "string" }, "comparisons": [ { "id": "string", "label": "string", "dateRange": {}, "entryFilter": {}, "sessionFilter": {} } ], "sourceIds": [ "string" ], "excludeBots": true, "counting": "UNIQUE", "reentry": "FIRST", "conversionWindowMs": 0, "contextWindowMs": 0 }, "observation": { "entryFrom": "string", "entryTo": "string", "observationFrom": "string", "observationTo": "string", "watermark": "string", "retentionBoundary": "string", "complete": true, "status": "COMPLETE" }, "series": [ { "id": "string", "label": "string", "segments": [ { "id": "string", "label": "string", "entryCount": "string", "unfocusedEntryCount": "string", "completedCount": "string", "timedOutCount": "string", "excludedCount": "string", "observationIncompleteCount": "string", "columns": [ { "kind": "ANCHOR", "position": { "key": "string", "column": 0, "anchorId": "string", "side": "anchor", "offset": 0 }, "label": "string", "total": "string" } ], "nodes": [ { "id": "string", "key": "string", "position": { "key": "string", "column": 0, "anchorId": "string", "side": "anchor", "offset": 0 }, "kind": "ANCHOR", "anchorId": "string", "matcher": {}, "terminal": "COMPLETED", "source": "string", "value": "string", "count": "string", "denominator": "string", "shareOfEntries": { "numerator": "string", "denominator": "string", "value": 0 }, "shareOfPrevious": {}, "shareOfNext": {} } ], "edges": [ { "id": "string", "sourceNodeId": "string", "targetNodeId": "string", "count": "string", "denominator": "string", "shareOfPrevious": { "numerator": "string", "denominator": "string", "value": 0 }, "shareOfNext": {} } ], "topPaths": [ { "id": "string", "steps": [ { "position": { "key": "string", "column": 0, "anchorId": "string", "side": "anchor", "offset": 0 }, "kind": "ANCHOR", "anchorId": "string", "matcher": {}, "terminal": "COMPLETED", "source": "string", "value": "string" } ], "weight": "string", "denominator": "string", "shareOfEntries": { "numerator": "string", "denominator": "string", "value": 0 }, "completedCount": "string", "incompleteCount": "string" } ], "totalPathCount": "string", "returnedPathWeight": "string", "omittedPathWeight": "string" } ] } ], "timing": [ { "kind": "EDGE", "sourceNodeId": "string", "targetNodeId": "string", "fromPosition": "string", "toPosition": "string", "direction": "FORWARD", "count": "string", "minimumMs": 0, "medianMs": 0, "averageMs": 0, "maximumMs": 0 } ], "samples": { "limitPerOutcome": 1, "entries": [ { "visitorId": "string", "sessionId": "string", "entryAt": "string", "lastAnchorAt": "string", "sessionStartDate": "2019-08-24", "reachedAnchors": 1, "outcome": "COMPLETED" } ] }, "limits": { "topEventsPerPosition": 0, "topPaths": 0, "omittedNodeCount": "string", "omittedNodeWeight": "string", "omittedPathCount": "string", "omittedPathWeight": "string", "executionLimitStatus": "string" }, "execution": { "queryId": "10210520-b895-40ca-bce5-474f9643bf53", "generatedAt": "string", "cacheHit": true, "cacheAgeMs": 0, "sampled": true, "warnings": [ { "code": "string", "message": "string", "path": [ "string" ] } ] }}GET/rest/v1/journey-flows/{id}/export
Authorization
apiKey Ours Privacy API key
In: header
Path Parameters
uuidQuery Parameters
uuidOptional JSON-encoded complete report context override.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/rest/v1/journey-flows/497f6eca-6276-4993-bfeb-53cbbbba6f08/export?expectedRevision=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "filename": "string", "contentType": "text/csv; charset=utf-8", "content": "string", "definitionRevision": "a97ae3af-593d-4d6d-ab05-42e6f4317882", "definitionHash": "string", "generatedAt": "string"}Next Steps
How is this guide?

